# SPhdThesis: A Latex template for writing Phd Thesis #
SPhdThesis is a latex template (document class) for writing PhD thesis. I developed it while writing my PhD thesis in School of Computing (SoC), National University of Singapore (NUS). By default, it adheres to the [NUS Guidelines on Format of Research Thesis Submitted For Examination](http://www.nus.edu.sg/registrar/event/gdthesisexam.html "NUS Guidelines on Format of Research Thesis Submitted For Examination") (Link updated on 31/05/2014). However, it is quite easy to change it for a different guideline.

## Downloading ##
You can download the latest version [here](http://saurabhg.com/files/sphdthesis/SPhdThesis.zip "Download SPhdThesis") or fork it at [Github](https://github.com/saurabhg17/SPhdThesis/archive/master.zip "Fork SPhdThesis").

## Getting started ##
The easiest way to start using SPhdThesis is to copy the example folder and start by inspecting and modifying `thesis.tex`. `figure.tex`, `table.tex`, `algorithm.tex` files show how to format figures, tables, and algorithms, respectively. `example\thesis.pdf` is an example of how a thesis looks like using SPhdThesis document class.

For more details read `SPhdThesis.pdf`. It describes in detail how to use the document class and provide some hints on how to customize it. It also lists some useful tools for working with latex.

## Getting Help ##
The best place is to [raise an issue](https://github.com/saurabhg17/SPhdThesis/issues "Raise an Issue") on Github. Alternatively, you can use the comment form at the bottom of this post.

## Screenshots ##
![Title page](screenshots/title.jpg)
<p align="center" style="font-weight:bold"><strong>Title Page</strong></p>
<br/>

![Declaration](screenshots/declaration.jpg)
<p align="center" style="font-weight:bold"><strong>Declaration</strong></p>
<br/>

![Table of contents](screenshots/table-of-contents.jpg)
<p align="center" style="font-weight:bold"><strong>Table of contents</strong></p>
<br/>

![Chapter title](screenshots/chapter-title.jpg)
<p align="center" style="font-weight:bold"><strong>Chapter title</strong></p>
<br/>

![Chapter header and tables](screenshots/chapter-header.jpg)
<p align="center" style="font-weight:bold"><strong>Chapter Header and tables</strong></p>
<br/>

![Algorithms](screenshots/algorithm.jpg)
<p align="center" style="font-weight:bold"><strong>Algorithms</strong></p>
